const APP_DISPLAY_NAME = "Nuke Anything Enhanced";
const APP_NAME = "nukeanythingenanced";
const APP_PACKAGE = "/Ted Mielczarek/nukeanything";
const APP_VERSION = "0.67";

const APP_JAR_FILE = "nukeanything.jar";
const APP_CONTENT_FOLDER = "content/nukeanything/";
const APP_LOCALE_FOLDER  = "locale/en-US/nukeanything/";

const APP_SUCCESS_MESSAGE = "The new menuitems will appear on the context menu.\n\n";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef = getFolder("Profile", "chrome");
var instFlags = PROFILE_CHROME;

var err = addFile(APP_PACKAGE, APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null);

if(err >= SUCCESS) { 
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(CONTENT | instFlags, jar, APP_CONTENT_FOLDER);
	registerChrome(LOCALE  | instFlags, jar, APP_LOCALE_FOLDER);
	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE
			+"Please restart your browser before continuing.");
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to Profile/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
